using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_4_3
{
  public partial class frmPlanner : Form
  {
    public frmPlanner()
    {
      InitializeComponent();
    }

    private void frmPlanner_Load(object sender, EventArgs e)
    {
      // Add city names to list box
      lstCities.Items.Clear();
      lstCities.Items.Add("San Diego");
      lstCities.Items.Add("Los Angeles");
      lstCities.Items.Add("Orange County");
      lstCities.Items.Add("Ontario");
      lstCities.Items.Add("Bakersfield");
      lstCities.Items.Add("Oakland");
      lstCities.Items.Add("Sacramento");
      lstCities.Items.Add("San Jose");
      lstCities.Items.Add("San Francisco");
      lstCities.Items.Add("Eureka");
      lstCities.Items.Add("Eugene");
      lstCities.Items.Add("Portland");
      lstCities.Items.Add("Spokane");
      lstCities.Items.Add("Seattle");
      lstCities.SelectedIndex = 0;
      // Add seat types to first combo box
      cboSeat.Items.Add("Aisle");
      cboSeat.Items.Add("Middle");
      cboSeat.Items.Add("Window");
      cboSeat.SelectedIndex = 0;
      // Add meal types to second combo box
      cboMeal.Items.Add("Chicken");
      cboMeal.Items.Add("Mystery Meat");
      cboMeal.Items.Add("Kosher");
      cboMeal.Items.Add("Vegetarian");
      cboMeal.Items.Add("Fruit Plate");
      cboMeal.Text = "No Preference";
    }

    private void btnAssign_Click(object sender, EventArgs e)
    {
      // Build message box that gives your assignment
      string message;
      message = "Destination: " + lstCities.Text + "\r\n";
      message += "Seat Location: " + cboSeat.Text + "\r\n";
      message += "Meal: " + cboMeal.Text + "\r\n";
      MessageBox.Show(message, "Your Assignment", MessageBoxButtons.OK, MessageBoxIcon.Information);

    }

    private void btnExit_Click(object sender, EventArgs e)
    {
      this.Close();
    }
  }
}